<link rel="import" href="../polymer/polymer-element.html">

<dom-module id="employee-list">
  <template>
    <div> Employee list: </div>
    <hr>
    <dom-repeat items="{{employees}}" filter="isEngineer">

      <template>
        <div>First name: <span>{{item.first}}</span></div>
        <div>Last name: <span>{{item.last}}</span></div>
        <div>Type: <span>{{item.type}}</span></div>
      </template>
    </dom-repeat>
  </template>


  <script>
    class EmployeeList extends Polymer.Element {
      static get is() { return 'employee-list'; }
      static get properties() {
        return {
          employees: {
            value() {
              return [
              {first: 'Bob', last: 'Smith', type: 'engineer'},
              {first: 'Sally', last: 'Johnson', type: 'doctor'},
              {first: 'Jazmin', last: 'Montes', type: 'engineer'},
              {first: 'Angel', last: 'Esquivel', type: 'engineer'}
              ];
            }
          }
        };
      }

      isEngineer(item){
        return item.type == 'engineer';
      }
    }

    window.customElements.define(EmployeeList.is, EmployeeList);
  </script>
</dom-module>